Bug 154618 - [MAINTAINER UPDATE] update audio/sox to 14.3.1
Summary: [MAINTAINER UPDATE] update audio/sox to 14.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-09 19:00 UTC by Dan Nelson (old address)
Modified: 2011-02-10 16:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Nelson (old address) 2011-02-09 19:00:22 UTC
	
Update sox to 14.3.1

Fix: files/patch-formats.c is now included in the source, so please remove this file.



-- 
	Dan Nelson
	dnelson@allantgroup.com--VWeuHJPqBopeenaQ2NCuBp322Gwbfjv8qIeHmGyN1LqRALF0
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/sox/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- Makefile	16 Dec 2010 17:34:41 -0000	1.52
+++ Makefile	9 Feb 2011 15:49:44 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	sox
-PORTVERSION=	14.3.0
-PORTREVISION=	6
+PORTVERSION=	14.3.1
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/audio/sox/distinfo,v
retrieving revision 1.21
diff -u -r1.21 distinfo
--- distinfo	16 Dec 2010 17:34:41 -0000	1.21
+++ distinfo	9 Feb 2011 15:43:51 -0000
@@ -1,2 +1,2 @@
-SHA256 (sox-14.3.0.tar.gz) = 9abf411c949366d75c884b368284690b6c8c7d5fb5df0deaf599539b704b2397
-SIZE (sox-14.3.0.tar.gz) = 1007679
+SHA256 (sox-14.3.1.tar.gz) = c4be9ebdb1e77a3bc9f3ee1f3fd274a1fe7b162a174fcc74874b231f3f1ace54
+SIZE (sox-14.3.1.tar.gz) = 1044595
Index: files/patch-formats.c
===================================================================
RCS file: files/patch-formats.c
diff -N files/patch-formats.c
--- files/patch-formats.c	18 Sep 2009 19:32:50 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-Generalize the "rewind on pipes" hack to work with all Torek-based stdio's
-without having to check for each one.  Fix will appear in the next release.
-
-http://sourceforge.net/tracker/index.php?func=detail&aid=2847998&group_id=10706&atid=310706
-
---- src/formats.c	2009-06-14 20:14:53.000000000 -0500
-+++ src/formats.c	2009-08-31 13:16:21.440822225 -0500
-@@ -392,7 +392,7 @@
-  * Works by resetting the FILE buffer pointer */
- static void UNUSED rewind_pipe(FILE * fp)
- {
--#if defined _NEWLIB_VERSION || defined __APPLE__
-+#if defined _FSTDIO /* Torek stdio (i.e. most BSD-derived libc's) */
-   fp->_p -= AUTO_DETECT_SIZE;
-   fp->_r += AUTO_DETECT_SIZE;
- #elif defined __GLIBC__
Comment 1 Edwin Groothuis freebsd_committer 2011-02-09 19:00:33 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-09 19:00:39 UTC
Maintainer of audio/sox,

Please note that PR ports/154618 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154618

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-09 19:00:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dan Nelson 2011-02-09 19:08:53 UTC
In the last episode (Feb 09), Edwin Groothuis said:
> Maintainer of audio/sox,
> 
> Please note that PR ports/154618 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix you
> agree on, reply to this email stating that you approve the patch and a
> committer will take care of it.

Oops.  Forgot to tweak the From: header when running send-pr.  I approve.

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-02-09 20:33:36 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address.
Comment 6 Martin Wilke freebsd_committer 2011-02-09 22:52:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-02-10 16:36:12 UTC
miwi        2011-02-10 16:36:07 UTC

  FreeBSD ports repository

  Modified files:
    audio/sox            Makefile distinfo 
  Removed files:
    audio/sox/files      patch-formats.c 
  Log:
  - Update to 14.3.1
  
  PR:             154618
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.53      +1 -2      ports/audio/sox/Makefile
  1.22      +2 -2      ports/audio/sox/distinfo
  1.2       +0 -16     ports/audio/sox/files/patch-formats.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2011-02-10 16:36:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!